org.apache.ignite.client

## Class ClientAtomicConfiguration

- java.lang.Object
- - org.apache.ignite.client.ClientAtomicConfiguration

    public class ClientAtomicConfiguration
    extends Object

Configuration for atomic data structures.

### Field Summary

Fields
`static int` `DFLT_ATOMIC_SEQUENCE_RESERVE_SIZE` Default atomic sequence reservation size.
`static int` `DFLT_BACKUPS` Default number of backups.
`static CacheMode` `DFLT_CACHE_MODE` Cache mode.

### Constructor Summary

Constructors
Constructor and Description
`ClientAtomicConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getAtomicSequenceReserveSize()` Gets default number of sequence values reserved for `IgniteAtomicSequence` instances.
`int` `getBackups()` Gets the number of backup nodes.
`CacheMode` `getCacheMode()` Gets the cache mode.
`String` `getGroupName()` Sets the cache group name.
`ClientAtomicConfiguration` `setAtomicSequenceReserveSize(int seqReserveSize)` Sets default number of sequence values reserved for `IgniteAtomicSequence` instances.
`ClientAtomicConfiguration` `setBackups(int backups)` Sets the number of backup nodes.
`ClientAtomicConfiguration` `setCacheMode(CacheMode cacheMode)` Sets the cache mode.
`ClientAtomicConfiguration` `setGroupName(String grpName)` Gets the cache group name.
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### DFLT_BACKUPS

    public static final int DFLT_BACKUPS

Default number of backups.

See Also:
  Constant Field Values

#### DFLT_CACHE_MODE

    public static final CacheMode DFLT_CACHE_MODE

Cache mode.

#### DFLT_ATOMIC_SEQUENCE_RESERVE_SIZE

    public static final int DFLT_ATOMIC_SEQUENCE_RESERVE_SIZE

Default atomic sequence reservation size.

See Also:
  Constant Field Values

### Constructor Detail

#### ClientAtomicConfiguration

    public ClientAtomicConfiguration()

### Method Detail

#### getBackups

    public int getBackups()

Gets the number of backup nodes.

Returns:
  Number of backup nodes.

#### setBackups

    public ClientAtomicConfiguration setBackups(int backups)

Sets the number of backup nodes.

Parameters:
  `backups` - Number of backup nodes.
Returns:
  `this` for chaining.

#### getCacheMode

    public CacheMode getCacheMode()

Gets the cache mode.

Returns:
  Cache mode.

#### setCacheMode

    public ClientAtomicConfiguration setCacheMode(CacheMode cacheMode)

Sets the cache mode.

Parameters:
  `cacheMode` - Cache mode.
Returns:
  `this` for chaining.

#### getAtomicSequenceReserveSize

    public int getAtomicSequenceReserveSize()

Gets default number of sequence values reserved for `IgniteAtomicSequence` instances. After a certain number has been reserved, consequent increments of sequence will happen locally, without communication with other nodes, until the next reservation has to be made.

Default value is `DFLT_ATOMIC_SEQUENCE_RESERVE_SIZE`.

Returns:
  Atomic sequence reservation size.

#### setAtomicSequenceReserveSize

    public ClientAtomicConfiguration setAtomicSequenceReserveSize(int seqReserveSize)

Sets default number of sequence values reserved for `IgniteAtomicSequence` instances. After a certain number has been reserved, consequent increments of sequence will happen locally, without communication with other nodes, until the next reservation has to be made.

Parameters:
  `seqReserveSize` - Atomic sequence reservation size.
Returns:
  `this` for chaining.
See Also:
  `getAtomicSequenceReserveSize()`

#### getGroupName

    public String getGroupName()

Sets the cache group name.

Returns:
  Cache group name.

#### setGroupName

    public ClientAtomicConfiguration setGroupName(String grpName)

Gets the cache group name.

Parameters:
  `grpName` - Cache group name.
Returns:
  `this` for chaining.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.16.0
Release Date | : December 15 2023